package com.boman.web.core.controller;

import com.boman.domain.dto.AjaxResult;
import com.boman.web.core.service.bomanMessageReceive.IBomanMessageReceiveService;
import com.boman.web.core.service.message.MessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author shiqian
 * @Date: 2021/07/08/
 */
@RestController
@RequestMapping("/message")
public class MessageController {

    @Resource
    private MessageService service;

    /**
     * 功能描述: 撤回
     *
     * @param id id
     * @return com.boman.domain.dto.AjaxResult
     */
    @GetMapping("withdraw/{id}")
    public AjaxResult withdraw(@PathVariable("id") Long id) {
        boolean withdraw = service.withdraw(id);
        return withdraw ? AjaxResult.success("撤回成功") : AjaxResult.error("撤回失败");
    }

    /**
     * 功能描述: 可以下载：超过30分钟 true，不能下载：30分钟以内 false
     *
     * @param id id
     * @return com.boman.domain.dto.AjaxResult
     */
    @GetMapping("canDownload/{id}")
    public AjaxResult canDownload(@PathVariable("id") Long id) {
        boolean withdraw = service.canDownload(id);
        return withdraw ? AjaxResult.success("可以下载") : AjaxResult.error("无法下载");
    }
}
